Bug 1585489

Summary: iwlwifi fails to start
Product: [Fedora] Fedora Reporter: Peter Zagar <peter>
Component: iwlwifi-firmwareAssignee: Orphan Owner <extras-orphan>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 28CC: extras-orphan, matthias, stephen.m.dangelo, wilypomegranate
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-28 23:17:02 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Peter Zagar 2018-06-03 15:19:52 UTC
Description of problem:
Intel wireless died after last updates.

Version-Release number of selected component (if applicable):
Fedora release 28 (Twenty Eight)
kernel 4.16.13-300.fc28.x86_64

Installed Packages
iwl100-firmware.noarch             39.31.5.1-85.fc28.1              @updates
iwl1000-firmware.noarch            1:39.31.5.1-85.fc28.1            @updates
iwl105-firmware.noarch             18.168.6.1-85.fc28.1             @updates
iwl135-firmware.noarch             18.168.6.1-85.fc28.1             @updates
iwl2000-firmware.noarch            18.168.6.1-85.fc28.1             @updates
iwl2030-firmware.noarch            18.168.6.1-85.fc28.1             @updates
iwl3160-firmware.noarch            1:25.30.13.0-85.fc28.1           @updates
iwl3945-firmware.noarch            15.32.2.9-85.fc28.1              @updates
iwl4965-firmware.noarch            228.61.2.24-85.fc28.1            @updates
iwl5000-firmware.noarch            8.83.5.1_1-85.fc28.1             @updates
iwl5150-firmware.noarch            8.24.2.2-85.fc28.1               @updates
iwl6000-firmware.noarch            9.221.4.1-85.fc28.1              @updates
iwl6000g2a-firmware.noarch         18.168.6.1-85.fc28.1             @updates
iwl6000g2b-firmware.noarch         18.168.6.1-85.fc28.1             @updates
iwl6050-firmware.noarch            41.28.5.1-85.fc28.1              @updates
iwl7260-firmware.noarch            1:25.30.13.0-85.fc28.1           @updates

04:00.0 Network controller: Intel Corporation Wireless 8260 (rev 3a)
	Subsystem: Intel Corporation Device 1130
	Flags: bus master, fast devsel, latency 0, IRQ 129
	Memory at e1000000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: [c8] Power Management version 3
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [40] Express Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [140] Device Serial Number f0-d5-bf-ff-ff-88-57-93
	Capabilities: [14c] Latency Tolerance Reporting
	Capabilities: [154] L1 PM Substates
	Kernel driver in use: iwlwifi
	Kernel modules: iwlwifi

How reproducible:
Install updates and reboot.

Actual results:
Wifi not working.

Expected results:
Working wifi.

Additional info:
[   13.857182] iwlwifi 0000:04:00.0: SecBoot CPU1 Status: 0x3040001, CPU2 Status: 0x0
[   13.857221] iwlwifi 0000:04:00.0: Failed to start INIT ucode: -110
[   13.869247] iwlwifi 0000:04:00.0: Failed to run INIT ucode: -110

Comment 1 Peter Zagar 2018-06-03 15:29:49 UTC
[   12.594309] cfg80211: Loading compiled-in X.509 certificates for regulatory database
[   12.594895] cfg80211: Loaded X.509 cert 'sforshee: 00b28ddf47aef9cea7'
[   12.595916] cfg80211: failed to load regulatory.db
[   12.659591] iwlwifi 0000:04:00.0: loaded firmware version 36.e91976c0.0 op_mode iwlmvm
[   12.816617] iwlwifi 0000:04:00.0: Detected Intel(R) Dual Band Wireless AC 8260, REV=0x208
[   13.857182] iwlwifi 0000:04:00.0: SecBoot CPU1 Status: 0x3040001, CPU2 Status: 0x0
[   13.857221] iwlwifi 0000:04:00.0: Failed to start INIT ucode: -110
[   13.869247] iwlwifi 0000:04:00.0: Failed to run INIT ucode: -110

Comment 2 Peter Zagar 2018-06-03 15:38:45 UTC
Temporarily disabling 802.11n in iwlwifi.conf helps to bring wifi up.

sudo vi /etc/modprobe.d/iwlwifi.conf
#----
options iwlwifi 11n_disable=1
#----

Comment 3 Peter Zagar 2018-06-05 19:30:18 UTC
Workaround mentioned in https://bugzilla.redhat.com/show_bug.cgi?id=1555935 works.

Comment 4 stephen.m.dangelo 2018-07-10 15:34:48 UTC
In case anyone stumbles upon this, this happened to me as well with Ubuntu 16.04 after a recent kernel update.

Downloading the firmware listed in https://bugzilla.redhat.com/show_bug.cgi?id=1555935 did not work, as only version 16 was on the Intel website, and the current iwlwifi driver only supports version 22 and above.

What ended up fixing my problem was booting into an Ubuntu 16.04.3 live USB running a 4.10 kernel to see if wifi worked in there.  It did, so I booted back into my install running 4.13.0-45-generic to try and downgrade to 4.10 to see if that fixed my issue. When I booted back into my install, the firmware loaded just fine and wifi was working.

My best guess is that some bad firmware got loaded on the card and prevented my install from loading the proper firmware?

Comment 5 wilypomegranate 2018-11-12 23:17:46 UTC
Also seeing the same issue after updating to F29.

Nov 12 18:06:44 kernel: Copyright(c) 2003- 2015 Intel Corporation
Nov 12 18:06:44 kernel: iwlwifi 0000:3a:00.0: loaded firmware version 36.7596afd4.0 op_mode iwlmvm
Nov 12 18:06:45 kernel: iwlwifi 0000:3a:00.0: Detected Intel(R) Dual Band Wireless AC 8265, REV=0x230
Nov 12 18:06:46 kernel: iwlwifi 0000:3a:00.0: SecBoot CPU1 Status: 0x3040001, CPU2 Status: 0x0
Nov 12 18:06:46 kernel: iwlwifi 0000:3a:00.0: Failed to start INIT ucode: -110
Nov 12 18:06:46 kernel: iwlwifi 0000:3a:00.0: Failed to run INIT ucode: -110


After booting up an old kernel, things are fine. I'll try the workaround posted above and see.

Comment 6 wilypomegranate 2018-11-12 23:23:15 UTC
I did a dnf reinstall of my broken kernel and things are good now.

Comment 7 Ben Cotton 2019-05-02 19:16:50 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2019-05-02 20:19:41 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2019-05-28 23:17:02 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.